> ## Documentation Index
> Fetch the complete documentation index at: https://cometchat-22654f5b-docs-flutter-sdk-mark-as-unread.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call

> Fetches all the details of the call whose sessionId is passed in the URL.



## OpenAPI

````yaml get /calls/{sessionId}
openapi: 3.0.0
info:
  title: Calls APIs
  description: Manage calls using our API.
  version: '3.0'
servers:
  - url: https://{appid}.call-{region}.cometchat.io/v3
    variables:
      appid:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: Calls
    description: The Calls tag
paths:
  /calls/{sessionId}:
    get:
      tags:
        - Calls
      summary: Get Call
      description: >-
        Fetches all the details of the call whose sessionId is passed in the
        URL.
      operationId: retreive-call-details
      parameters:
        - $ref: '#/components/parameters/onBehalfOf'
        - name: sessionId
          in: path
          description: Call to Retreive
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Rereives Call Details
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/callSchema'
                    type: object
                type: object
              example:
                data:
                  sessionId: >-
                    v1.us.31780434a95d45.16923681138d75114d60d1345a22e4cc612263fb26c0b5cf92
                  totalAudioMinutes: 0.31666666666666665
                  totalVideoMinutes: 0
                  totalDuration: '00:00:19'
                  metaData: []
                  hasRecording: false
                  initiatedAt: 1692368113
                  initiator: superhero8
                  mode: call
                  receiver: superhero2
                  receiverType: user
                  status: ended
                  tags: []
                  totalDurationInMinutes: 0.31666666666666665
                  totalParticipants: 2
                  type: audio
                  mid: 855e1519-1244-4213-8e40-53044c1e9e43
                  startedAt: 1692368127
                  endedAt: 1692368146
                  participants:
                    - uid: superhero2
                      totalAudioMinutes: 0.23333333333333334
                      totalVideoMinutes: 0
                      totalDuration: 0.23333333333333334
                      deviceId: >-
                        c9ed493e-8495-428d-b6ee-b32019cc57ce@rtc.cometchat-staging.com/CKT3xgR4
                      isJoined: true
                      joinedAt: 1692368132
                      mid: 855e1519-1244-4213-8e40-53044c1e9e43
                      state: ended
                      leftAt: 1692368146
                    - uid: superhero8
                      totalAudioMinutes: 0.26666666666666666
                      totalVideoMinutes: 0
                      totalDuration: 0.26666666666666666
                      deviceId: >-
                        70ecae89-b71c-4bb3-8220-b7c99ec1658f@rtc.cometchat-staging.com/hsYWb5ul
                      isJoined: true
                      joinedAt: 1692368128
                      mid: 855e1519-1244-4213-8e40-53044c1e9e43
                      state: ended
                      leftAt: 1692368144
      security:
        - apiKey: []
components:
  parameters:
    onBehalfOf:
      name: onBehalfOf
      in: header
      description: UID of the user on whose behalf the action is performed.
      schema:
        type: string
  schemas:
    callSchema:
      description: Response data
      properties:
        sessionId:
          type: string
        totalAudioMinutes:
          type: integer
        totalVideoMinutes:
          type: integer
        totalDuration:
          type: integer
        hasRecording:
          type: boolean
        initiatedAt:
          type: integer
        initiator:
          type: string
        mode:
          type: string
        receiver:
          type: string
        receiverType:
          type: string
        status:
          type: string
        totalDurationInMinutes:
          type: integer
        totalParticipants:
          type: integer
        type:
          type: string
        mid:
          type: string
        startedAt:
          type: integer
        endedAt:
          type: integer
        participants:
          type: array
          items:
            properties:
              '':
                $ref: '#/components/schemas/participantSchema'
            type: object
      type: object
    participantSchema:
      properties:
        uid:
          type: string
        totalAudioMinutes:
          type: integer
        totalVideoMinutes:
          type: integer
        isJoined:
          type: boolean
        state:
          type: string
        totalDuration:
          type: integer
        deviceId:
          type: integer
        joinedAt:
          type: integer
        mid:
          type: string
        leftAt:
          type: integer
      type: object
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````